from django.db import models
from django.contrib import admin

class Post(models.Model):
    user = models.CharField(max_length=100)
    title = models.CharField(max_length=100)
    entry = models.CharField(max_length=400)
    updated_at = models.DateTimeField('date published')

    @classmethod
    def remove(self, request, user):
        has_purge = request.POST.has_key('purge')
        has_item_id = request.POST.has_key('radio')
        items = getPosts()
        item_id = 0
        if has_item_id:
            item_id = int(request.POST['radio'])
        for item in items:
            if has_purge or item.id == item_id:
                item.delete()

def getPosts():
    return Post.objects.order_by('-updated_at')

admin.site.register(Post)
