from django.http import HttpResponse
from django.template import Context, loader
from myprj.message_board import models
from datetime import datetime

def index(request):
    items = models.getPosts()
    t = loader.get_template('index.html')
    c = Context({
        'title': 'MessageBoard',
        'user': None,
        'items': items,
        })
    response = HttpResponse(t.render(c))
    return response

def new(request):
    t = loader.get_template('new.html')
    c = Context({
        'title': 'new post - MessageBoard',
        })
    response = HttpResponse(t.render(c))
    return response

def entry(request):
    post = models.Post()
    post.user = 'guest'
    post.title = request.POST['title']
    post.entry = request.POST['entry']
    post.updated_at = datetime.now().strftime('%Y-%m-%d %H:%M:%S')
    post.save()
    return index(request)

def delete(request):
    models.Post.remove(request, 'quest')
    return index(request)

